/* BmpfromDLL -	 The application loads and displays a bmp stored in a DLL
				 The DLL is coded in asm
                            Version 1.00 by Vortex */

#define WIN32_LEAN_AND_MEAN 
#include <windows.h>
#include "BmpfromDLL.h"

extern HBITMAP __stdcall  LoadBitmapfromDLL(LPCTSTR lpBitmapName) ;							/* Declare LoadBitmapfromDLL as external function */

BOOL CALLBACK DlgProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	PAINTSTRUCT ps;
	HDC hdc;
	HDC hMemDC;
	static HBITMAP hBitmap;
	static HBRUSH hBrush;

   switch(msg)
    {
		case WM_CTLCOLORDLG:
			hBrush=CreateSolidBrush(White);														/* Set the background color of the dialog box to white */
			return (int)hBrush;

    	  	case WM_INITDIALOG:
			hBitmap=LoadBitmapfromDLL(MAKEINTRESOURCE(DLLBmp));						/* Get the handle of the bitmap in the DLL */
    	 	break;
	
		case WM_PAINT:
			hdc=BeginPaint(hWnd,&ps);
			hMemDC=CreateCompatibleDC(hdc);
			SelectObject(hMemDC,hBitmap);
			BitBlt(hdc,25,0,161,141,hMemDC,0,0,SRCCOPY);										/* Display the bmp */
			DeleteDC(hMemDC);
			EndPaint(hWnd,&ps);
		break;

		case WM_CLOSE:
			DeleteObject(hBitmap);
			DeleteObject(hBrush);
  	  	 	EndDialog(hWnd,0);
		break;

		default:
			return FALSE;
    }
     return TRUE;

}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,LPSTR lpCmdLine, int nCmdShow)
{
	return (DialogBoxParam(hInstance,MAKEINTRESOURCE(MyDialog),0,DlgProc,0));			/* Display the dialog box */
}

